因瞎升级PHP, 导致重新安装系统及WordPress

因瞎升级PHP, 导致重新安装系统及Wordpress

一切都是因为不懂技术造成的。

网站后台显示 PHP 7.3 版本过低,建议升级。但在没有搞明白PHP是啥玩意前,就按网上教程一顿瞎折腾安装了PHP 8,然后网页就打不开了。。。

之前装的是 WordPress腾讯专享版,采用CentOS系统,这个系统好像压根不支持PHP 8.

不知怎么挽救,只好采用重装大法。这次选择了Debian 12,这个系统至少对 PHP 版本没啥限制。

然后按宝塔官网的安装命令行重新安装了宝塔面板和Wordpress。

万幸的是,之前把根目录下的网站打包备份了。把备份中的uploads和themes两个文件夹上传覆盖后,尽然没出啥问题,图片和主题都还能用。

然后折腾主题啥的,整个下来好几个小时没有了。

所以,没事不要瞎折腾。

 

原创文章,作者:闲趣,如若转载,请注明出处:https://xqrp.com/661385.html

上一篇 2024 年 4 月 26 日
下一篇 2024 年 5 月 15 日

相关推荐

  • 多陪陪孩子才是最应该做的事

    这些天,刻意多花了些时间仔细观察孩子,和孩子的交流也更多了一些。最深刻的感悟,孩子真可爱,有孩子真幸福。以前,不能说不关注孩子,其实在孩子身上也花了很多时间和精力。但更多地是帮她们…

    2021 年 12 月 21 日
  • 在家办公的日子

    北京疫情胶着持续,每天40人左右的新增病例,暂时还看不到好转的迹象。 五一之后,一直居家办公,没怎么去过办公室。一方面尽量减少外出;另一方面,孩子们都在家上网课,而且基本上每天都要…

    2022 年 5 月 19 日

发表回复

您的电子邮箱地址不会被公开。 必填项已用 * 标注

评论列表(2条)

  • 明月登楼
    明月登楼 2024 年 6 月 22 日 下午6:51

    其实系统倒应该是支持PHP8的,估计是WordPress主题不支持或者某个插件不支持!

  • 手滑段子
    手滑段子 2024 年 6 月 29 日 上午8:20

    宝塔不可以多个版本php么,应该可以在面板切回去,,不必重装这么多